Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1601613 - openstack overcloud image upload fails with "cp: cannot create regular file ‘/httpboot/agent.kernel’: No such file or directory"
Summary: openstack overcloud image upload fails with "cp: cannot create regular file ‘...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 14.0 (Rocky)
Assignee: Bogdan Dobrelya
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-16 22:37 UTC by Alexander Chuzhoy
Modified: 2019-01-11 11:51 UTC (History)
13 users (show)

Fixed In Version: python-tripleoclient-10.3.1-0.20180716131225.300dfb3.el7ost
Doc Type: Release Note
Doc Text:
The default value of `--http-boot` changed from `/httpboot` to `/var/lib/ironic/httpboot` as containerized Ironic services expect.
Clone Of:
Environment:
Last Closed: 2019-01-11 11:50:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 575003 None None None 2018-07-16 22:39:12 UTC
Red Hat Product Errata RHEA-2019:0045 None None None 2019-01-11 11:51:02 UTC

Description Alexander Chuzhoy 2018-07-16 22:37:38 UTC
openstack overcloud image upload fails with "cp: cannot create regular file ‘/httpboot/agent.kernel’: No such file or directory"

Environment:
python-tripleoclient-10.2.1-0.20180709114814.e5ce9a8.el7ost.noarch
instack-undercloud-9.1.1-0.20180709220206.3fc4cc7.el7ost.noarch


(undercloud) [stack@undercloud75 ~]$ openstack overcloud image upload
Image "overcloud-full-vmlinuz" is up-to-date, skipping.
Image "overcloud-full-initrd" is up-to-date, skipping.
Image "overcloud-full" is up-to-date, skipping.
Image "bm-deploy-kernel" is up-to-date, skipping.
Image "bm-deploy-ramdisk" is up-to-date, skipping.
cp: cannot create regular file ‘/httpboot/agent.kernel’: No such file or directory
Command 'sudo cp -f "./ironic-python-agent.kernel" "/httpboot/agent.kernel"' returned non-zero exit status 1

Comment 3 Alexander Chuzhoy 2018-07-16 22:42:28 UTC
It works without errors after applying the patch from https://review.openstack.org/575003

Comment 5 Filip Hubík 2018-07-25 11:32:34 UTC
We seem to be hitting this issue in downstream CI, puddle 2018-07-24.6:

$ openstack overcloud image upload --update-existing

Image "overcloud-full-vmlinuz" was uploaded.
+--------------------------------------+------------------------+-------------+---------+--------+
|                  ID                  |          Name          | Disk Format |   Size  | Status |
+--------------------------------------+------------------------+-------------+---------+--------+
| 72e8746a-5679-4ce3-a433-ddd6785fad56 | overcloud-full-vmlinuz |     aki     | 6385968 | active |
+--------------------------------------+------------------------+-------------+---------+--------+
Image "overcloud-full-initrd" was uploaded.
+--------------------------------------+-----------------------+-------------+----------+--------+
|                  ID                  |          Name         | Disk Format |   Size   | Status |
+--------------------------------------+-----------------------+-------------+----------+--------+
| 8d58e1ae-7b6d-4bb2-8a7c-788bd15bfa4d | overcloud-full-initrd |     ari     | 63625290 | active |
+--------------------------------------+-----------------------+-------------+----------+--------+
Image "overcloud-full" was uploaded.
+--------------------------------------+----------------+-------------+------------+--------+
|                  ID                  |      Name      | Disk Format |    Size    | Status |
+--------------------------------------+----------------+-------------+------------+--------+
| 49255b3f-deec-44e4-9a28-77e6e399f188 | overcloud-full |    qcow2    | 1054932992 | active |
+--------------------------------------+----------------+-------------+------------+--------+
Image "bm-deploy-kernel" was uploaded.
+--------------------------------------+------------------+-------------+---------+--------+
|                  ID                  |       Name       | Disk Format |   Size  | Status |
+--------------------------------------+------------------+-------------+---------+--------+
| 33cf375a-d837-4d21-8526-c2031abdf707 | bm-deploy-kernel |     aki     | 6385968 | active |
+--------------------------------------+------------------+-------------+---------+--------+
Image "bm-deploy-ramdisk" was uploaded.
+--------------------------------------+-------------------+-------------+-----------+--------+
|                  ID                  |        Name       | Disk Format |    Size   | Status |
+--------------------------------------+-------------------+-------------+-----------+--------+
| 0018cb04-6b3e-497d-aceb-3a683897741e | bm-deploy-ramdisk |     ari     | 425404821 | active |
+--------------------------------------+-------------------+-------------+-----------+--------+
cp: cannot create regular file ‘/httpboot/agent.kernel’: No such file or directory
Command 'sudo cp -f "./ironic-python-agent.kernel" "/httpboot/agent.kernel"' returned non-zero exit status 1

python-tripleoclient-heat-installer-10.3.1-0.20180716131224.300dfb3.el7ost.noarch
python-tripleoclient-10.3.1-0.20180716131224.300dfb3.el7ost.noarch
instack-undercloud-9.1.1-0.20180716115151.bc82d48.el7ost.noarch

Comment 8 Bogdan Dobrelya 2018-09-20 12:42:59 UTC
The downstream change is in-place since July 2018, and according to https://bugzilla.redhat.com/show_bug.cgi?id=1601613#c3 , it is ready for testing in puddles

Comment 18 errata-xmlrpc 2019-01-11 11:50:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.